Bug 178227 - *** glibc detected *** galculator: double free or corruption
*** glibc detected *** galculator: double free or corruption
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: galculator (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-18 12:45 EST by John Ellson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: galculator-1.2.5-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-08 16:03:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash message (11.25 KB, text/plain)
2006-01-18 12:45 EST, John Ellson
no flags Details

  None (edit)
Description John Ellson 2006-01-18 12:45:00 EST
Description of problem:
galculator dies on startup with:

*** glibc detected *** galculator: double free or corruption (out):
0x0000000000699890 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3288a6c57e]
/lib64/libc.so.6(__libc_free+0x84)[0x3288a6c704]
galculator(ui_main_window_set_dispctrl+0x3e)[0x411dd8]
galculator(update_dispctrl+0x6f)[0x41247f]
galculator(on_ordinary_activate+0x54)[0x40f4de]


(full output attached)

Version-Release number of selected component (if applicable):
galculator-1.2.5-2.fc5

How reproducible:
100%

Steps to Reproduce:
1.galculator
2.
3.
  
Actual results:
see attached

Expected results:


Additional info:
Comment 1 John Ellson 2006-01-18 12:45:01 EST
Created attachment 123392 [details]
crash message
Comment 2 Kris Buytaert 2006-02-08 04:10:44 EST
I can confirm this bug on x86 
Comment 3 Tomas Mraz 2006-02-08 04:54:37 EST
I reproduced this bug myself the problem is it happens when the glade file is
loaded so it is possibly a bug within libglade (not sure 100%). I'll continue
investigation.
Comment 4 Tomas Mraz 2006-02-08 16:03:28 EST
Should be fixed now.

Note You need to log in before you can comment on or make changes to this bug.